<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE PANELMENUBAR SYSTEM "panelmenubar.dtd">
<PANELMENUBAR name="DBMENU">
  	<MENU name="Custom Views" shortcut_key="C">
      	<MENU-ITEM name="Add Custom View">
			<HTML-UI action_link="../jsp/NewTopoCustomView.jsp?radio=${radio}&amp;displayName=${displayName}" target="center">
			</HTML-UI>
			<JAVA-UI action_command="Add Custom View" shortcut_key="A" accelerator_modifier="CNTRL" accelerator_key="V">
			</JAVA-UI>
		</MENU-ITEM>
   		<MENU-ITEM name="Remove Custom View">
			<HTML-UI action_link="../jsp/ConfirmRemoval.jsp?moduleName=topo&amp;radio=${radio}&amp;displayName=${displayName}" target="center">
			</HTML-UI>
			<JAVA-UI action_command="Remove Custom View" shortcut_key="R" accelerator_modifier="CNTRL" accelerator_key="C">
			</JAVA-UI>
		</MENU-ITEM>
		<MENU-ITEM name="Modify Custom View">
			<HTML-UI action_link="../jsp/EditTopoCustomView.jsp?radio=${radio}&amp;displayName=${displayName}" target="center">
			</HTML-UI>
			<JAVA-UI action_command="Filter Settings" shortcut_key="M" accelerator_modifier="CNTRL" accelerator_key="M">
			</JAVA-UI>
		</MENU-ITEM>
	<MENU-ITEM name="Save Custom View State">
			<JAVA-UI action_command="Save Custom View State" shortcut_key="S" accelerator_modifier="CNTRL" accelerator_key="S">
			</JAVA-UI>
		</MENU-ITEM>

		<MENU-ITEM name="Rename Custom View" action_command="Rename Custom View" shortcut_key="N" accelerator_key="F2">
		</MENU-ITEM>
		</MENU>  	  	  	  	
	
	<MENU name="Edit" shortcut_key="E">
		
		<MENU-ITEM name="Delete Object and Traces" ACTION-ON-NO-PRIVILEGE="HIDE">
			
            <OPERATION name="Delete Object"/>
				
			<HTML-UI action_link="../jsp/DeleteObject.jsp" target="center">
			</HTML-UI>
			
			<JAVA-UI action_command="INVOKE_CLASS:com.adventnet.nms.mapui.DeleteMO?name=${name}&amp;type=${type}&amp;isContainer=${isContainer}&amp;isGroup=${isGroup}" shortcut_key="D" accelerator_modifier="CNTRL" accelerator_key="D">
            </JAVA-UI>
			
		</MENU-ITEM>

       <MENU-ITEM name="SEPARATOR"/>
					
       <MENU-ITEM name="Add Node">
			
           <OPERATION name="Add Node"/>
		   
		   <HTML-UI action_link="../adminjsp/AddNode.jsp" target="center">
           </HTML-UI>
		   
			<JAVA-UI action_type="openframe" action_value="com.adventnet.nms.topoui.addNode.AddNodePanel" shortcut_key="O" accelerator_modifier="CNTRL" accelerator_key="O">
		    </JAVA-UI>  			
			
        </MENU-ITEM>
		
		<MENU-ITEM name="Add Network">
            
			<OPERATION name="Add Network"/>
			
			<HTML-UI action_link="../jsp/AddNetworkForm.jsp" target="center">
			</HTML-UI>
			
			<JAVA-UI action_type="openframe" action_value="com.adventnet.nms.topoui.example.AddNetwork" shortcut_key="R" accelerator_modifier="CNTRL" accelerator_key="N">
		   </JAVA-UI>
			
		</MENU-ITEM>

		<MENU-ITEM name="Refresh Node">
			
			<HTML-UI action_link="../jsp/RefreshNodeForm.jsp" target="center">
            </HTML-UI>
			
			<JAVA-UI action_type="openframe" action_value="com.adventnet.nms.topoui.example.RefreshNode" shortcut_key="R" accelerator_modifier="CNTRL-SHIFT" accelerator_key="R">
			</JAVA-UI>  			
			
        </MENU-ITEM>

		<MENU-ITEM name="SEPARATOR"/>
                
                
        <MENU-ITEM name="Clear Alarms">
        <JAVA-UI action_command="Clear Alerts">
                </JAVA-UI>  			
        </MENU-ITEM>

        <MENU-ITEM name="Delete Alarms">
          <OPERATION name="Delete Alerts"/>
        <JAVA-UI action_command="Delete Alerts">
               </JAVA-UI>                      
        </MENU-ITEM>

		<MENU-ITEM name="Configure Nodes"> 
			
			<JAVA-UI action_command="INVOKE_CLASS:com.adventnet.nms.config.ConfigureNodes?HOST=${name}&amp;TYPE=${type}"> 
			</JAVA-UI>	
			
		</MENU-ITEM>

        <MENU-ITEM name="SEPARATOR"/>

       	<MENU-ITEM name="Search">
	
		<JAVA-UI action_command="Search" shortcut_key="S" accelerator_modifier="CNTRL" accelerator_key="F">
        </JAVA-UI>
		
		</MENU-ITEM>
		
		<MENU-ITEM name="Add Property">
			<HTML-UI action_link="../jsp/AddProperty.jsp" target="center">
			</HTML-UI>
		</MENU-ITEM>
		<MENU-ITEM name="Remove Property">
			<HTML-UI action_link="../jsp/RemoveProperty.jsp" target="center">
			</HTML-UI>
		</MENU-ITEM>
	</MENU>
	
	<MENU name="View" shortcut_key="V">
		<MENU-ITEM name="Object Details">
			<HTML-UI action_link="../html/GetObject.html" target="center">
			</HTML-UI>
		</MENU-ITEM>
		<MENU-ITEM name="Details" action_command="Show Properties" shortcut_key="D" accelerator_modifier="ALT" accelerator_key="D">
  		</MENU-ITEM>
		<MENU-ITEM name="SEPARATOR">
		</MENU-ITEM>
		<MENU-ITEM name="Events" action_command="List Events" shortcut_key="E" accelerator_modifier="CNTRL" accelerator_key="E">
		</MENU-ITEM>
		<MENU-ITEM name="Alarms" action_command="List Alerts" shortcut_key="A" accelerator_modifier="CNTRL" accelerator_key="L">
		</MENU-ITEM>
            <MENU-ITEM name="Statistics" action_command="INVOKE_CLASS:com.adventnet.nms.mapui.ListPoll?name=${name}&amp;type=${type}" shortcut_key="P" accelerator_modifier="CNTRL" accelerator_key="O">
               </MENU-ITEM>
		<MENU-ITEM name="SEPARATOR">
		</MENU-ITEM>
		<MENU-ITEM name="Refresh" action_command="Refresh" shortcut_key="R" accelerator_key="F5">
		</MENU-ITEM>
	</MENU> 
	<MENU name="OBJECT-SPECIFIC">
	</MENU>
<MENU name="Actions" shortcut_key="A">
                           <MENU-ITEM name="Export Topology Data">
                               <JAVA-UI accelerator_modifier="CNTRL-SHIFT" shortcut_key="E" accelerator_key="E" action_type="openframe" action_value="com.adventnet.nms.util.ExportDataUI"/>
                            </MENU-ITEM>
                   </MENU>
</PANELMENUBAR>

